maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William Price (JIRA)" <j...@codehaus.org>
Subject [jira] Created: (MEV-652) colt-1.2.0.pom declares version as 1.0.3
Date Thu, 04 Mar 2010 22:05:56 GMT
colt-1.2.0.pom declares version as 1.0.3
----------------------------------------

                 Key: MEV-652
                 URL: http://jira.codehaus.org/browse/MEV-652
             Project: Maven Evangelism
          Issue Type: Bug
          Components: Invalid Metadata
            Reporter: William Price


http://repo2.maven.org/maven2/colt/colt/1.2.0/colt-1.2.0.pom
This POM's version metadata does not match its location in the repository.  I cannot claim
that the JAR artifact is actually Colt 1.2.0, but I *can* confirm it is *not* 1.0.3 based
on its contents.

Ivy will not download this artifact with this inconsistency:
[ivy:resolve]
colt#colt;1.2.0: java.text.ParseException: inconsistent module descriptor file found in 'http://repo2.maven.org/maven2/colt/colt/1.2.0/colt-1.2.0.pom':
bad revision: expected='1.2.0' found='1.0.3';


Corrected POM contents (only version number changed):

<project>
  <modelVersion>4.0.0</modelVersion>
  <groupId>colt</groupId>
  <artifactId>colt</artifactId>
  <version>1.2.0</version>
  <dependencies>
    <dependency>
      <groupId>concurrent</groupId>
      <artifactId>concurrent</artifactId>
      <version>1.3.4</version>
    </dependency>
  </dependencies>
</project>


-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message